defmodule Sfe.MixProject do
  use Mix.Project

  def project(),
    do: [
      app: :sfe,
      version: "0.1.0",
      elixir: "~> 1.16",
      elixirc_paths: ["main.ex"],
      compilers: Mix.compilers(),
      start_permanent: Mix.env() == :prod,
      config_path: "config.exs",
      aliases: aliases(),
      elixirc_options: [warnings_as_errors: true],
      deps: deps()
    ]

  def application(),
    do: [
      mod: {Sfe.Application, []}
    ]

  defp deps(),
    do: [
      # {:credo, "~> 1.6", only: [:dev, :test], runtime: false},
      {:ecto, "~> 3.12"},
      {:bandit, "~> 1.2"},
      {:jason, "~> 1.0"},
      {:phoenix, "~> 1.7"},
      {:phoenix_live_view, "~> 0.19.0"},
      {:phoenix_live_reload, "~> 1.5", only: :dev},
      {:phoenix_pubsub, "~> 2.1"}
    ]

  defp aliases,
    do: [
      setup: ["deps.get", "assets.setup", "assets.build"],
      dev: ["phx.server"]
    ]
end
